diff -r 74172066fd6a configure.ac
--- a/configure.ac	Sat Feb 16 21:52:55 2013 +0900
+++ b/configure.ac	Mon Feb 18 22:05:50 2013 -0700
@@ -3613,10 +3613,14 @@
   save_LIBS="$LIBS" LIBS="$LIBS $ldap_libs"
   AC_CHECK_FUNCS(ldap_set_option ldap_get_lderrno ldap_result2error ldap_parse_result)
   LIBS="$save_LIBS"
-  XE_APPEND(modules/ldap, MAKE_SUBDIR)
-  need_modules_common=yes
   if test "$with_modules" = "yes"; then
+    XE_APPEND(modules/ldap, MAKE_SUBDIR)
     XE_APPEND(modules/ldap, INSTALL_ARCH_DEP_SUBDIR)
+  else
+    mkdir src
+    for fil in eldap.c eldap.h; do
+      ${LN_S} "$srcdir/modules/ldap/$fil" "src/$fil"
+    done
   fi
 fi
 AC_SUBST(ldap_libs)
@@ -3664,10 +3668,14 @@
                  AC_DEFINE(HAVE_POSTGRESQLV7)], [:], $extra_libs)
     AC_DEFINE_UNQUOTED(LIBPQ_FE_H_FILE, "$libpq_fe_h_file")
     XE_PREPEND([$pq_libs], postgresql_libs)
-    XE_APPEND(modules/postgresql, MAKE_SUBDIR)
-    need_modules_common=yes
     if test "$with_modules" = "yes"; then
+      XE_APPEND(modules/postgresql, MAKE_SUBDIR)
       XE_APPEND(modules/postgresql, INSTALL_ARCH_DEP_SUBDIR)
+    else
+      mkdir src
+      for fil in postgresql.c postgresql.h; do
+        ${LN_S} "$srcdir/modules/postgresql/$fil" "src/$fil"
+      done
     fi
   elif test "$with_postgresql" = "yes"; then
     XE_DIE("Required PostgreSQL support cannot be provided.  Check --with-site-prefixes.")
@@ -4340,10 +4348,12 @@
   if test "$have_canna" = "yes"; then
     AC_DEFINE(HAVE_CANNA)
     test -n "$canna_wchar_aware" && AC_DEFINE(CANNA_NEW_WCHAR_AWARE)
-    XE_APPEND(modules/canna, MAKE_SUBDIR)
-    need_modules_common=yes
     if test "$with_modules" = "yes"; then
+      XE_APPEND(modules/canna, MAKE_SUBDIR)
       XE_APPEND(modules/canna, INSTALL_ARCH_DEP_SUBDIR)
+    else
+      mkdir src
+      ${LN_S} "$srcdir/modules/canna/canna_api.c" "src/canna_api.c"
     fi
     XE_PREPEND(-lcanna -lRKC, canna_libs)
   elif test "$with_canna" != "no"; then
diff -r 74172066fd6a src/Makefile.in.in
--- a/src/Makefile.in.in	Sat Feb 16 21:52:55 2013 +0900
+++ b/src/Makefile.in.in	Mon Feb 18 22:05:50 2013 -0700
@@ -192,7 +192,7 @@
 #endif
 
 #if defined(HAVE_LDAP) && !defined(HAVE_SHLIB)
-ldap_objs=$(BLDMODULES)/ldap/eldap.o
+ldap_objs=eldap.o
 #endif
 
 #ifdef MULE
@@ -200,7 +200,7 @@
 #endif
 
 #if defined(HAVE_CANNA) && !defined(HAVE_SHLIB)
-mule_canna_objs=$(BLDMODULES)/canna/canna_api.o
+mule_canna_objs=canna_api.o
 #endif
 
 #ifdef HAVE_WNN
@@ -215,7 +215,7 @@
 #endif
 
 #if defined(HAVE_POSTGRESQL) && !defined(HAVE_SHLIB)
-postgresql_objs=$(BLDMODULES)/postgresql/postgresql.o
+postgresql_objs=postgresql.o
 #endif
 
 #ifdef HAVE_WIN32_PROCESSES
